zenilib: TiXmlAttributeSet Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
TiXmlAttributeSet Class Reference

`#include <tinyxml.h>`

## Public Member Functions

| TiXmlAttributeSet ()
| ~TiXmlAttributeSet ()
void | Add (TiXmlAttribute *attribute)
TiXmlAttribute * | Find (const char *_name) const
TiXmlAttribute * | FindOrCreate (const char *_name)
const TiXmlAttribute * | First () const
TiXmlAttribute * | First ()
const TiXmlAttribute * | Last () const
TiXmlAttribute * | Last ()
void | Remove (TiXmlAttribute *attribute)

## Detailed Description

Definition at line 903 of file tinyxml.h.

## Constructor & Destructor Documentation

TiXmlAttributeSet::TiXmlAttributeSet | ( |  | ) |

Definition at line 1453 of file tinyxml.cpp.

TiXmlAttributeSet::~TiXmlAttributeSet | ( |  | ) |

Definition at line 1460 of file tinyxml.cpp.

References assert.

## Member Function Documentation

void TiXmlAttributeSet::Add | ( | TiXmlAttribute * | attribute | ) |

Definition at line 1467 of file tinyxml.cpp.

References assert, Find(), TiXmlAttribute::Name(), and TIXML_STRING.

Referenced by FindOrCreate(), and TiXmlElement::Parse().

TiXmlAttribute * TiXmlAttributeSet::Find | ( | const char * | _name | ) | const

Definition at line 1525 of file tinyxml.cpp.

References TiXmlNode::next.

Referenced by Add(), TiXmlElement::Attribute(), FindOrCreate(), TiXmlElement::Parse(), TiXmlElement::QueryDoubleAttribute(), TiXmlElement::QueryIntAttribute(), and TiXmlElement::RemoveAttribute().

TiXmlAttribute * TiXmlAttributeSet::FindOrCreate | ( | const char * | _name | ) |

Definition at line 1536 of file tinyxml.cpp.

References Add(), Find(), and TiXmlAttribute::SetName().

Referenced by TiXmlElement::SetAttribute(), and TiXmlElement::SetDoubleAttribute().

const TiXmlAttribute* TiXmlAttributeSet::First | ( |  | ) | const

inline

Definition at line 912 of file tinyxml.h.

Referenced by TiXmlElement::Accept(), TiXmlElement::ClearThis(), TiXmlElement::CopyTo(), and TiXmlElement::Print().

TiXmlAttribute* TiXmlAttributeSet::First | ( |  | ) |

inline

Definition at line 913 of file tinyxml.h.

const TiXmlAttribute* TiXmlAttributeSet::Last | ( |  | ) | const

inline

Definition at line 914 of file tinyxml.h.

TiXmlAttribute* TiXmlAttributeSet::Last | ( |  | ) |

inline

Definition at line 915 of file tinyxml.h.

void TiXmlAttributeSet::Remove | ( | TiXmlAttribute * | attribute | ) |

Definition at line 1482 of file tinyxml.cpp.

References assert.

Referenced by TiXmlElement::ClearThis(), and TiXmlElement::RemoveAttribute().

The documentation for this class was generated from the following files:

- zenilib/jni/external/tinyxml/tinyxml.h
- zenilib/jni/external/tinyxml/tinyxml.cpp